Bug 36077 - devel/automake14: fix info file overlap w/automake, add libexec/automake14/* links
devel/automake14: fix info file overlap w/automake, add libexec/automake14/* ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: ade
Depends on:
  Show dependency treegraph
Reported: 2002-03-19 03:30 UTC by ports
Modified: 2002-07-09 23:52 UTC (History)
1 user (show)

See Also:

file.diff (6.50 KB, patch)
2002-03-19 03:30 UTC, ports
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2002-03-19 03:30:01 UTC
The info files are the only documentation for automake and automake14. Each
port thinks it owns automake.info. This means that only the documentation for
the most recently installed automake port will survive. This is a significant
problem, since the 2 versions of automake are noticably different and so 
documentation needs to be available for both.

This patch also introduces links libexec/automake14/{aclocal,automake},
pointing to bin/{aclocal,automake}14. This gives a directory that can be
added to the front of the PATH for ports which require this version of
automake, instead of having to work with nonstandard executable names.

Fix: --8<----8<----8<----8<----8<----8<----8<----8<----8<----8<--
Comment 1 petef freebsd_committer 2002-03-19 06:15:13 UTC
Responsible Changed
From-To: freebsd-ports->portmgr

Over to maintainers
Comment 2 ade freebsd_committer 2002-07-06 00:02:11 UTC
Responsible Changed
From-To: portmgr->ade

I'll take a look at this one, too.
Comment 3 ade freebsd_committer 2002-07-09 23:52:11 UTC
State Changed
From-To: open->closed

Patch committed, thanks!